ngram_model_set_s Struct Reference

Subclass of ngram_model for grouping language models. More...

`#include <ngram_model_set.h>`

## Data Fields

ngram_model_t | base
| Base ngram_model_t structure. More...
int32 | n_models
| Number of models in this set. More...
int32 | cur
| Currently selected model, or -1 for none. More...
ngram_model_t ** | lms
| Language models in this set. More...
char ** | names
| Names for language models. More...
int32 * | lweights
| Log interpolation weights. More...
int32 ** | widmap
| Word ID mapping for submodels. More...
int32 * | maphist
| Word ID mapping for N-Gram history. More...

## Detailed Description

Subclass of ngram_model for grouping language models.

Definition at line 51 of file ngram_model_set.h.

## Field Documentation

## base

ngram_model_t ngram_model_set_s::base

Base ngram_model_t structure.

Definition at line 52 of file ngram_model_set.h.

## cur

int32 ngram_model_set_s::cur

Currently selected model, or -1 for none.

Definition at line 55 of file ngram_model_set.h.

## lms

ngram_model_t** ngram_model_set_s::lms

Language models in this set.

Definition at line 56 of file ngram_model_set.h.

Referenced by ngram_model_set_iter_model().

## lweights

int32* ngram_model_set_s::lweights

Log interpolation weights.

Definition at line 58 of file ngram_model_set.h.

## maphist

int32* ngram_model_set_s::maphist

Word ID mapping for N-Gram history.

Definition at line 60 of file ngram_model_set.h.

## n_models

int32 ngram_model_set_s::n_models

Number of models in this set.

Definition at line 54 of file ngram_model_set.h.

Referenced by ngram_model_set_iter_next().

## names

char** ngram_model_set_s::names

Names for language models.

Definition at line 57 of file ngram_model_set.h.

Referenced by ngram_model_set_iter_model().

## widmap

int32** ngram_model_set_s::widmap

Word ID mapping for submodels.

Definition at line 59 of file ngram_model_set.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/ngram_model_set.h